std::__detail::_Local_iterator< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __constant_iterators, __cache > Struct Template Reference
Containers » Unordered Associative » Base and Implementation Classes

`#include <hashtable_policy.h>`

Inheritance diagram for std::__detail::_Local_iterator< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __constant_iterators, __cache >:
[legend]

## Public Types

typedef std::ptrdiff_t | difference_type
typedef std::forward_iterator_tag | iterator_category
typedef std::conditional< __constant_iterators, const_Value *, _Value * >::type | pointer
typedef std::conditional< __constant_iterators, const_Value &, _Value & >::type | reference
typedef _Value | value_type

## Public Member Functions

| _Local_iterator (const __hash_code_base &__base, _Hash_node< _Value, __cache > *__p, std::size_t __bkt, std::size_t __bkt_count)
reference | operator* () const
_Local_iterator & | operator++ ()
_Local_iterator | operator++ (int)
pointer | operator-> () const

## Detailed Description

template<typename _Key, typename _Value, typename _ExtractKey, typename _H1, typename _H2, typename _Hash, bool __constant_iterators, bool __cache>
struct std::__detail::_Local_iterator< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __constant_iterators, __cache >

local iterators

Definition at line 1647 of file hashtable_policy.h.

## Member Typedef Documentation

## difference_type

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash , bool __constant_iterators, bool __cache>

typedef std::ptrdiff_t std::__detail::_Local_iterator< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __constant_iterators, __cache >::difference_type

Definition at line 1663 of file hashtable_policy.h.

## iterator_category

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash , bool __constant_iterators, bool __cache>

typedef std::forward_iterator_tag std::__detail::_Local_iterator< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __constant_iterators, __cache >::iterator_category

Definition at line 1664 of file hashtable_policy.h.

## pointer

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash , bool __constant_iterators, bool __cache>

typedef std::conditional<__constant_iterators,const_Value*,_Value*>::type std::__detail::_Local_iterator< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __constant_iterators, __cache >::pointer

Definition at line 1659 of file hashtable_policy.h.

## reference

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash , bool __constant_iterators, bool __cache>

typedef std::conditional<__constant_iterators,const_Value&,_Value&>::type std::__detail::_Local_iterator< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __constant_iterators, __cache >::reference

Definition at line 1662 of file hashtable_policy.h.

## value_type

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash , bool __constant_iterators, bool __cache>

typedef _Value std::__detail::_Local_iterator< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __constant_iterators, __cache >::value_type

Definition at line 1656 of file hashtable_policy.h.

## Constructor & Destructor Documentation

## _Local_iterator()

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash , bool __constant_iterators, bool __cache>

std::__detail::_Local_iterator< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __constant_iterators, __cache >::_Local_iterator | ( | const __hash_code_base & | __base,
|  | _Hash_node< _Value, __cache > * | __p,
|  | std::size_t | __bkt,
|  | std::size_t | __bkt_count
| ) |  |

inline

Definition at line 1668 of file hashtable_policy.h.

## Member Function Documentation

## operator*()

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash , bool __constant_iterators, bool __cache>

reference std::__detail::_Local_iterator< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __constant_iterators, __cache >::operator* | ( |  | ) | const

inline

Definition at line 1675 of file hashtable_policy.h.

## operator++() [1/2]

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash , bool __constant_iterators, bool __cache>

_Local_iterator & std::__detail::_Local_iterator< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __constant_iterators, __cache >::operator++ | ( |  | ) |

inline

Definition at line 1683 of file hashtable_policy.h.

## operator++() [2/2]

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash , bool __constant_iterators, bool __cache>

_Local_iterator std::__detail::_Local_iterator< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __constant_iterators, __cache >::operator++ | ( | int |  | ) |

inline

Definition at line 1690 of file hashtable_policy.h.

## operator->()

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash , bool __constant_iterators, bool __cache>

pointer std::__detail::_Local_iterator< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __constant_iterators, __cache >::operator-> | ( |  | ) | const

inline

Definition at line 1679 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h